package com.dbxml.db.client.xmldb;

/*
 * dbXML - Native XML Database
 * Copyright (C) 1999-2004  The dbXML Group, L.L.C.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * $Id: XPathQueryServiceImpl.java,v 1.2 2004/02/12 00:17:56 bradford Exp $
 */

import com.dbxml.db.common.xpath.XPathQueryResolver;

import org.xmldb.api.base.ResourceSet;
import org.xmldb.api.base.XMLDBException;
import org.xmldb.api.modules.XPathQueryService;

/**
 * XPathQueryServiceImpl
 */

public final class XPathQueryServiceImpl extends QueryServiceImpl implements XPathQueryService {
   private static final String NAME = "XPathQueryService";
   private static final String STYLE = XPathQueryResolver.STYLE_XPATH;
   private static final String VERSION = "1.0";

   public XPathQueryServiceImpl(CollectionImpl col) {
      super(col, STYLE);
   }

   public String getName() throws XMLDBException {
      return NAME;
   }

   public String getVersion() throws XMLDBException {
      return VERSION;
   }

   public ResourceSet query(String query) throws XMLDBException {
      return getResourceSet(performQuery(query));
   }

   public ResourceSet queryResource(String id, String query) throws XMLDBException {
      return getResourceSet(performQueryResource(id, query));
   }
}
